Package org.apache.felix.atomos.maven.nativeimage

## Class NativeImageMojo

- java.lang.Object
- - org.apache.maven.plugin.AbstractMojo
  - - org.apache.felix.atomos.maven.nativeimage.NativeImageMojo

All Implemented Interfaces:
  `org.apache.maven.plugin.ContextEnabled`, `org.apache.maven.plugin.Mojo`

    @Mojo(name="atomos-native-image",
          defaultPhase=PROCESS_RESOURCES,
          requiresDependencyCollection=COMPILE_PLUS_RUNTIME,
          requiresDependencyResolution=COMPILE_PLUS_RUNTIME)
    public class NativeImageMojo
    extends org.apache.maven.plugin.AbstractMojo

### Field Summary

Fields
`MavenNativeImageConfig` `nativeImage`

### Fields inherited from interface org.apache.maven.plugin.Mojo

`ROLE`

### Constructor Summary

Constructors
`NativeImageMojo()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `execute()`

### Methods inherited from class org.apache.maven.plugin.AbstractMojo

`getLog, getPluginContext, setLog, setPluginContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### nativeImage

    @Parameter(required=false,
               readonly=false)
    public MavenNativeImageConfig nativeImage

### Constructor Detail

#### NativeImageMojo

    public NativeImageMojo()

### Method Detail

#### execute

    public void execute()
                 throws org.apache.maven.plugin.MojoExecutionException

Throws:
  `org.apache.maven.plugin.MojoExecutionException`